import 'package:auto_route/auto_route.dart';
import 'package:flutter/material.dart';
import 'package:router/ext/auto_router_extensions.dart';
import 'package:router/path/router_path.dart';

import '../../modules/auth_login/page/Profile_edit_page.dart';


part 'auth_page_router.gr.dart';

/*\
 * 全局的通用页面的路由
 */
@AutoRouterConfig(replaceInRouteName: 'Page|Screen,PageRoute')
class AuthPageRouter extends _$AuthPageRouter {
  @override
  List<AutoRoute> get routes => [

    CustomRoute(page: AuthLoginPageRoute.page, path: RouterPath.authLogin, transitionsBuilder: applySlideTransition),
  ];
}
